#!/bin/sh

DEVS=/root/disks
SMART=/tmp/smartctl-current

for GEOM in `cat ${DEVS}`; do
	DEV=/dev/${GEOM}
	if [ `echo ${DEV} | cut -c 1` == '#' ]; then
		echo Skipping device $DEV
		continue
	fi
	if [ -b "${DEV}1" ]; then
		echo Device $DEV already prepared.
		continue
	fi
	smartctl -a ${DEV} > ${SMART}
	cat ${SMART} | grep 'Model Family'
	SLABEL=`cat ${SMART} | grep 'Serial Number' | rev | cut -c 1-4 | rev`
	echo $DEV: $SLABEL
	gpart create -s gpt ${GEOM}
	gpart add -a 2M -s 1G -t linux-data ${GEOM}
	gpart add -a 2M -t freebsd-zfs -l 2tb${SLABEL} ${GEOM}
done

